#ifndef ANIM_EPHEMERE_H_INCLUDED
#define ANIM_EPHEMERE_H_INCLUDED

#include "Animation.h"

///Développeur: Jovian Hersemeule
///Dernière mise à jour le: 03/08/2013
///Objet: mise au point header, create cpp

/*
==L'objet Anim_Ephemere==
    +Arguments:
        VOID
    +Descriptif:
        Permet de créer un effet éphèmere par une animation, comme une explosion ou un impact.
        Lorque l'animation est finie, la fonction end() renvoie vrai, et faux lorsqu'elle tourne encore.
        Une anim de ce genre hérite de cette classe.
[Fonctions]

*/

class Anim_Ephemere : public Animation
{
    public:
    Anim_Ephemere(Uint32 tempsFrequence);
    virtual ~Anim_Ephemere();
    virtual void coller(SDL_Surface* support, int x, int y, bool centrer=0);
    bool end();

    protected:
    bool m_estFini;

};

#endif // ANIM_EPHEMERE_H_INCLUDED
